Axis2/C: doctype

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# doctype
[AXIOM]

## Typedefs
typedef struct axiom_doctype | axiom_doctype_t
## Functions
AXIS2_EXTERN axiom_doctype_t * | axiom_doctype_create (const axutil_env_t *env, axiom_node_t *parent, const axis2_char_t *value, axiom_node_t **node)
AXIS2_EXTERN void | axiom_doctype_free (struct axiom_doctype *om_doctype, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_doctype_get_value (struct axiom_doctype *om_doctype, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_doctype_set_value (struct axiom_doctype *om_doctype, const axutil_env_t *env, const axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | axiom_doctype_serialize (struct axiom_doctype *om_doctype, const axutil_env_t *env, axiom_output_t *om_output)

## Function Documentation

AXIS2_EXTERN axiom_doctype_t* axiom_doctype_create | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | const axis2_char_t * | value,
|  | axiom_node_t ** | node |
| ) |  |  |

Creates a axiom_doctype_t struct

Parameters:

  | env | Environment. MUST NOT be NULL,
  | parent | parent of the new node. Optinal, can be NULL.
  | value | doctype text
  | node | This is an out parameter.cannot be NULL. Returns the node corresponding to the doctype created. Node type will be set to AXIOM_DOCTYPE

Returns:
  pointer to newly created doctype struct

AXIS2_EXTERN void axiom_doctype_free | ( | struct axiom_doctype * | om_doctype,
|  | const axutil_env_t * | env |
| ) |  |  |

free doctype struct

Parameters:

  | om_doctype | pointer to axiom_doctype_t struct to be freed
  | env | Environment. MUST NOT be NULL,

Returns:
  satus of the op. AXIS2_SUCCESS on success AXIS2_FAILURE on error.

AXIS2_EXTERN axis2_char_t* axiom_doctype_get_value | ( | struct axiom_doctype * | om_doctype,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | om_doctype | pointer to a axiom_doctype_t struct
  | env | environment must not be null

Returns:
  DTD text

AXIS2_EXTERN axis2_status_t axiom_doctype_serialize | ( | struct axiom_doctype * | om_doctype,
|  | const axutil_env_t * | env,
|  | axiom_output_t * | om_output |
| ) |  |  |

serialize op

Parameters:

  | om_doctype | pointer to axiom_doctype_t struct
  | env | environment , MUST NOT be NULL
  | om_output | pointer to axiom_output_t struct

Returns:
  status of the op, AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

AXIS2_EXTERN axis2_status_t axiom_doctype_set_value | ( | struct axiom_doctype * | om_doctype,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | value |
| ) |  |  |

Parameters:

  | om_doctype | pointer to axiom doctype_t struct
  | env | environment , MUST NOT be NULL.
  | value | doctype text value

Returns:
  status of the op, AXIS2_SUCCESS on success, AXIS2_FAILURE on error.